%define name sharpmusique
%define version 1.0
%define release %mkrel 5
%define distsuffix plf
%define libdir %_prefix/lib

Summary:	The fair interface to the iTunes Music Store
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
#http://nanocrew.net/2005/09/17/sharpmusique-10/#comments
Patch: sharpmusique-1.0-album-view.patch.bz2
#http://gentoo.zugaina.org/portage/media-sound/sharpmusique/files/
Patch1:sharpmusique-1.0-itunes6.patch.bz2
License:	GPL
Group:		Sound
Url:		http://www.nanocrew.net/software/sharpmusique/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: gtk-sharp2 >= 1.9.2
BuildRequires: glade-sharp2
BuildRequires: libalsa-devel
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires: vlc >= 0.8.4
Requires: vlc-plugin-faad

%description

Features:
SharpMusique is the fair interface to the iTunes Music Store.
Features.
* Preview songs
* Signup for an account
* Buy songs and albums
* Redownload songs that you bought with SharpMusique
* Redeem Pepsi caps
* Redeem gift certificates

This package is in PLF because it works around iTunes DRM.

%prep
%setup -q
%patch -p1
%patch1 -p0

%build
./configure --prefix=%_prefix --libdir=%libdir
cd src
%make

%install
rm -rf $RPM_BUILD_ROOT
cd src
%makeinstall_std
cd ../data
%makeinstall_std
cd ..
# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%name" \
 icon="%name.png" \
 longtitle="An iTunes Music Store shopping client" \
 needs="x11" \
 section="Multimedia/Sound" \
 title="SharpMusique iTMS client" \
 startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir
convert -scale 32 data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 data/%name.png %buildroot%_miconsdir/%name.png

%post
%update_menus
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS THANKS ChangeLog
%{_bindir}/%{name}
%{_libdir}/%{name}/sharpmusique.exe
%{_datadir}/applications/sharpmusique.desktop
%{_datadir}/pixmaps/sharpmusique.png
%{_menudir}/%{name}
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Wed Jun 28 2006 Götz Waschk <goetz@zarb.org> 1.0-5plf2007.0
- xdg menu

* Tue Apr 25 2006 Götz Waschk <goetz@zarb.org> 1.0-4plf
- patch1 for itunes 6 compatibility

* Wed Apr 19 2006 Götz Waschk <goetz@zarb.org> 1.0-3plf
- patch to fix album view
- fix buildrequires

* Sun Apr  9 2006 Götz Waschk <goetz@zarb.org> 1.0-2plf
- noarch and depend on vlc

* Sun Apr  9 2006 Olivier Blin <blino@zarb.org> 1.0-1plf
- initial release
